Holger's Java API

## com.antelmann.net
Enum Whois.Item

    java.lang.Object
      java.lang.Enum<Whois.Item>
          com.antelmann.net.Whois.Item

All Implemented Interfaces:
  Serializable, Comparable<Whois.Item>

Enclosing class:
  Whois

    public static enum Whois.Item

extends Enum<Whois.Item>

Enum Constant Summary
`ADDRESS`
`CITY`
`COUNTRY`
`EMAIL`
`FAX`
`ID`
`NAME`
`ORG`
`PCODE`
`PHONE`

Method Summary
`static Whois.Item` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Whois.Item[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID

    public static final Whois.Item ID

### ORG

    public static final Whois.Item ORG

### NAME

    public static final Whois.Item NAME

### ADDRESS

    public static final Whois.Item ADDRESS

### PCODE

    public static final Whois.Item PCODE

### CITY

    public static final Whois.Item CITY

### COUNTRY

    public static final Whois.Item COUNTRY

### PHONE

    public static final Whois.Item PHONE

### FAX

    public static final Whois.Item FAX

### EMAIL

    public static final Whois.Item EMAIL

Method Detail

### values

    public static Whois.Item[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Whois.Item c : Whois.Item.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Whois.Item valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads